Bug 980192 - networkmanager VPN ON/OFF switch stuck on ON mode
networkmanager VPN ON/OFF switch stuck on ON mode
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 12:26 EDT by askstack
Modified: 2013-08-19 09:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-19 09:48:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages (1.27 KB, text/plain)
2013-07-01 12:26 EDT, askstack
no flags Details
/var/log/messages (2.57 KB, text/plain)
2013-07-09 10:23 EDT, askstack
no flags Details

  None (edit)
Description askstack 2013-07-01 12:26:22 EDT
Created attachment 767452 [details]
/var/log/messages

Description of problem: can not click off VPN connection with the ON/OFF button.


Version-Release number of selected component (if applicable):
NetworkManager-openconnect-0.9.7.0-2.git20120918.fc19.x86_64
NetworkManager-0.9.8.2-4.fc19.x86_64
NetworkManager-glib-0.9.8.2-4.fc19.x86_64
NetworkManager-openvpn-0.9.6.0-2.fc19.x86_64
NetworkManager-pptp-0.9.3.997-3.fc18.x86_64
NetworkManager-vpnc-0.9.3.997-4.fc19.x86_64
NetworkManager-openswan-0.9.3.995-5.git20120302.fc19.x86_64

How reproducible: 

after login to the VPN.
click the VPN connection in networkmanager to disconnect.
instead of disconnecting the VPN, it brings up the VPN connection dialogue box again.


Steps to Reproduce:
1.click the VPN connection through networkmanager,
2.login to the VPN.
3.click the VPN connection to disconnect

Actual results:
it brings up the VPN connection dialogue box again.

Expected results:
it should disconnect the VPN.

Additional info: 
Upgraded from Fedora18 to Fedora19 with "fedup". 
it used to work in Fedora18.
Comment 1 askstack 2013-07-09 10:22:11 EDT
"systemctl enable NetworkManager-dispatcher.service" got rid of "ystem] Activation via systemd failed for unit 'dbus-org.freedesktop.nm-dispatcher.service':" 
but disconnect the vpn is still not working by clicking on the OFF button on the networkmanager drop down menu on the top right corner. 

closing the VPN works with the Settings --> Network. but has errors in /var/log/messages and does not change the icon from vpn to normal on the top right corner.
Comment 2 askstack 2013-07-09 10:23:37 EDT
Created attachment 771054 [details]
/var/log/messages
Comment 3 askstack 2013-08-19 09:48:35 EDT
this is fixed in gnome-shell-3.8.4-2.fc19.x86_64

Note You need to log in before you can comment on or make changes to this bug.